/***********************************************************************
** TxImage - Image Viewer
** Copyright (C) 2003
** Pierpaolo Di Panfilo <pippo_dp@libero.it>
** Cristian Di Panfilo <cridipan@virgilio.it>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.  To obtain a
** copy of the GNU Library General Public License, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Any permitted reproduction of these routines, in whole or in part,
** must bear this legend.
**
*************************************************************************/


#ifndef _BOOKMARK_H
#define _BOOKMARK_H

#include <qpopupmenu.h>
#include <qlist.h>

class QString;
class QPoint;
class Settings;

class Bookmark
{
public:
    Bookmark(const QString &name=0, const QString &dir=0);
    ~Bookmark() {};
    QString name();
    QString directory();
    void setName(const QString &name);
    void setDirectory(const QString &dir);
    bool isAvailable();

private:
    QString Name, Dir;
};


class BookmarkMenu : public QPopupMenu
{
    Q_OBJECT
public:
    BookmarkMenu(QWidget *parent, Settings *s);
    ~BookmarkMenu() {};

signals:
  void bookmarkSelected(Bookmark& bm);
  void documentsSelected();

public slots:
  void popupMenu(const QPoint& p);
  void load();

private:
    Settings *settings;
};

#endif
