/***********************************************************************
** TxImage - Image Viewer
** Copyright (C) 2003
** Pierpaolo Di Panfilo <pippo_dp@libero.it>
** Cristian Di Panfilo <cridipan@virgilio.it>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.  To obtain a
** copy of the GNU Library General Public License, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Any permitted reproduction of these routines, in whole or in part,
** must bear this legend.
**
*************************************************************************/


#ifndef _IMAGELISTVIEWITEM_H
#define _IMAGELISTVIEWITEM_H

#include <qlistview.h>

class DocLnk;
class QColorGroup;
class QPainter;
class Settings;

class ImageListViewItem : public QListViewItem
{
public:
    ImageListViewItem(QListView *parent, DocLnk *d);
    ~ImageListViewItem() {};
    DocLnk *docLnk();
    bool Color();

protected:
    void paintCell( QPainter *, const QColorGroup&, int, int, int );

private:

    enum COLORS {
        white=0,
        blue
    };

    QString sizeString;
    DocLnk *doc;
    bool color; //white or blue
};

class ImageListView : public QListView
{
public:
    ImageListView(QWidget *parent, const char *name=0);
    ~ImageListView(){ };
    ImageListViewItem *find(DocLnk *d);
    void removeItem(DocLnk *);

protected:
    void keyReleaseEvent(QKeyEvent *keyEvent);
};

#endif
