/***********************************************************************
** TxImage - Image Viewer
** Copyright (C) 2003
** Pierpaolo Di Panfilo <pippo_dp@libero.it>
** Cristian Di Panfilo <cridipan@virgilio.it>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.  To obtain a
** copy of the GNU Library General Public License, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Any permitted reproduction of these routines, in whole or in part,
** must bear this legend.
**
*************************************************************************/


#ifndef _SETTINGS_H
#define _SETTINGS_H

#include <qlist.h>

class Bookmark;

class Settings
{
public:
    Settings();
    ~Settings() {};
    void readSettings();
    void writeSettings();
    void setView(int view);
    void setSlideDelay( int );
    void setRotateInSlide( bool );
    void setControlBarInSlide( bool );
    void setShowImageFullScreen( bool );
    void setRotateBestFit( bool );
    void setSaveThumbnail( bool );
    void setThumbFileSize( int );
    void setShowFileExtension( bool );
    void setShowImageDimension( bool );
    void loadBookmarks();
    void addBookmark(Bookmark *bm);
    int view();
    int slideDelay();
    bool rotateInSlide();
    bool showImageFullScreen();
    bool rotateBestFit();
    bool controlBarInSlide();
    bool saveThumbnail();
    int thumbFileSize();
    bool showFileExtension();
    bool showImageDimension();
    QList<Bookmark> *bookmarks();

private:
    int delay;  //delay between pictures in slideshow
    int View;   //current view (thumbnail or listview)
    int tFileSize; //minimum file size for saving thumbnail
    bool rotate;  //rotate for best fit in slideshow
    bool fullScreen;  //show images fullscreen on click
    bool rotateFit; //rotate for best fit in image viewer
    bool controlBar; //control bar in slideshow
    bool thumbnail; //save thumbnail
    bool ext;    //file extension in browser
    bool imgDimension;  //image dimension in browser
    int numBookmarks; 
    QList<Bookmark> bmList; //bookmarks list
};

#endif
