/***********************************************************************
** TxImage - Image Viewer
** Copyright (C) 2003
** Pierpaolo Di Panfilo <pippo_dp@libero.it>
** Cristian Di Panfilo <cridipan@virgilio.it>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.  To obtain a
** copy of the GNU Library General Public License, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Any permitted reproduction of these routines, in whole or in part,
** must bear this legend.
**
*************************************************************************/


#ifndef _SETTINGSDIALOG_H
#define _SETTINGSDIALOG_H

#include "settingsdialogbase.h"

class Settings;

class SettingsDialog : protected SettingsDialogBase
{
    Q_OBJECT
public:
    SettingsDialog(QWidget *parent = 0, const char *name = 0);
    ~SettingsDialog(){};
    int exec();
    
    void initSettings( Settings *s );
    void saveSettings();

protected slots:
    void init();
    void newBookmark();
    void deleteBookmark();
    void saveThumbnailsChecked(bool on);
    void delayChanged(int);
    void selectionChanged(QListViewItem *item);
    void bmNameChanged(const QString &str);
    void bmDirChanged(const QString &str);

protected:
    Settings *settings;
};

#endif
