/***********************************************************************
** TxImage - Image Viewer
** Copyright (C) 2003
** Pierpaolo Di Panfilo <pippo_dp@libero.it>
** Cristian Di Panfilo <cridipan@virgilio.it>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.  To obtain a
** copy of the GNU Library General Public License, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Any permitted reproduction of these routines, in whole or in part,
** must bear this legend.
**
*************************************************************************/


#ifndef _SLIDESHOW_H
#define _SLIDESHOW_H

#include "imagewidget.h"
#include "imagereader.h"

class QTimer;
class QPixmap;
class DocLnk;
class QHBox;
class QLabel;
class Settings;

class SlideShow : public ImageWidget
{
    Q_OBJECT
public:
    SlideShow(QList<DocLnk> *, Settings *);
    ~SlideShow();
    void start();

private slots:
    void showControlBar();
    void pause();
    void stop();
    void showImage( QString file );
    void showNextImage();
    void showPreviousImage();

protected:
    void keyReleaseEvent ( QKeyEvent * );

private:
    void updateCounter();

    QTimer *slideTimer;
    QPixmap pm;
    bool last;
    uint index;
    QList<DocLnk> *docList; //images list
    ImageReader imageReader;
    QHBox *controlBar;
    QToolButton *play;
    QLabel *counter;
    Settings *settings;
};

#endif
